linkable_block_card:
  label: Linkable Block Card
  namespace: Molecules/TM - Cards
  use: '@molecules/tm-cards/linkable-block-card/linkable-block-card.twig'
  description: Linkable Block Card
  libraries:
    - linkable_block_card_lib:
        css:
          component:
            ../styles/linkable-block-card.css: {weight: 10}

  fields:
    image:
      type: text
      label: Image
      description: The image
      preview: <img class="mw-100" src="https://picsum.photos/60/60?rnd=a"/>
    title:
      type: text
      label: Title
      description: The title
      preview: Lorem ipsum dolor sit amet
    body:
      type: text
      label: Body
      description: The body
      preview: Lorem ipsum dolor sit amet consectetur. Eget nascetur rhoncus tempus phasellus elementum aliquam aenean ac ullamcorper.
    card_link:
      type: text
      label: Card link
      description: The link URL
      preview: www.train-operator.co.uk
    link_text:
      type: text
      label: The text for the pseudo link
      description: The pseudo link text
      preview: Find out more

  settings:
    header_title_tag:
      type: select
      label: Header title tag
      description: Header title tag
      options:
        h2: h2
        h3: h3
      default: h2
    card_type:
      type: select
      label: Card type
      description: Card type
      options:
        linkable: Linkable
        non-linkable: Non-linkable
      default: linkable
    image_type:
      type: select
      label: Image type
      description: Image type
      options:
        image: Image
        icon: icon
      default: image

    show_footer:
      type: boolean
      label: Show footer
      default_value: true
      preview: true
